Subject: Re: bug#20887: 'make bootstrap' now verrrry slow due to recent isearch changes

From: Glenn Morris <[email-masked]>
Date: Wed, 24 Jun 2015 11:55:34 -0400

Artur Malabarba wrote:

> I don't know. Frankly, a bootstrap of 5 min seems incredibly fast, :)
> mine always takes at least 10.

A single step taking 5 minutes. Ie, 5 mins sitting there just loading
isearch.el to produce the bootstrap-emacs executable.

> When I reporte the change added 5 sec to compile time, I was testing
> the following:
>     (benchmark-run 1 (byte-compile-file (buffer-file-name)))
> which reports 3.13 seconds for me.

That's not a useful test of what happens during bootstrap.